/* HackerPort driver for Linux - PIC programmer
 * version 0.7.2 date 2007-05-04
 * part of the hacker port project - http[s]://stefan.schuermans.info/hackerport/
 * Copyright (C) 2003-2004 stefan <stefan@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_hexfile
#define INC_hexfile

//type to describe a memory reagion
typedef struct t_hexfile_mem
{
  unsigned long addr;
  unsigned long size;
  unsigned char * p_buffer;
} st_hexfile_mem;

//read a hex file
int hexfile_read( char * filename, st_hexfile_mem * mems, unsigned int mem_cnt );

#endif //#ifndef INC_hexfile
